package domain


type AlibabaRetailMarketingItemdiscountSkuQueryItemDiscountActivitySkuQueryRequest struct {
    /*
        活动ID     */
    ActId  *int64 `json:"act_id,omitempty" `

    /*
        商品编码列表     */
    SkuCodes  *[]string `json:"sku_codes,omitempty" `

    /*
        商品条码列表     */
    BarCodes  *[]int64 `json:"bar_codes,omitempty" `

    /*
        换购品标识     */
    ExchangeSku  *bool `json:"exchange_sku,omitempty" `

    /*
        分页查询参数     */
    PageInfo  *AlibabaRetailMarketingItemdiscountSkuQueryActivitySkuQueryDTO `json:"page_info,omitempty" `

    /*
        erp外部活动id     */
    OutActId  *string `json:"out_act_id,omitempty" `

}

func (s *AlibabaRetailMarketingItemdiscountSkuQueryItemDiscountActivitySkuQueryRequest) SetActId(v int64) *AlibabaRetailMarketingItemdiscountSkuQueryItemDiscountActivitySkuQueryRequest {
    s.ActId = &v
    return s
}
func (s *AlibabaRetailMarketingItemdiscountSkuQueryItemDiscountActivitySkuQueryRequest) SetSkuCodes(v []string) *AlibabaRetailMarketingItemdiscountSkuQueryItemDiscountActivitySkuQueryRequest {
    s.SkuCodes = &v
    return s
}
func (s *AlibabaRetailMarketingItemdiscountSkuQueryItemDiscountActivitySkuQueryRequest) SetBarCodes(v []int64) *AlibabaRetailMarketingItemdiscountSkuQueryItemDiscountActivitySkuQueryRequest {
    s.BarCodes = &v
    return s
}
func (s *AlibabaRetailMarketingItemdiscountSkuQueryItemDiscountActivitySkuQueryRequest) SetExchangeSku(v bool) *AlibabaRetailMarketingItemdiscountSkuQueryItemDiscountActivitySkuQueryRequest {
    s.ExchangeSku = &v
    return s
}
func (s *AlibabaRetailMarketingItemdiscountSkuQueryItemDiscountActivitySkuQueryRequest) SetPageInfo(v AlibabaRetailMarketingItemdiscountSkuQueryActivitySkuQueryDTO) *AlibabaRetailMarketingItemdiscountSkuQueryItemDiscountActivitySkuQueryRequest {
    s.PageInfo = &v
    return s
}
func (s *AlibabaRetailMarketingItemdiscountSkuQueryItemDiscountActivitySkuQueryRequest) SetOutActId(v string) *AlibabaRetailMarketingItemdiscountSkuQueryItemDiscountActivitySkuQueryRequest {
    s.OutActId = &v
    return s
}
